import { buildModule } from "@nomicfoundation/hardhat-ignition/modules";

const CoinCoinCoinModule = buildModule("CoinCoinCoinModule", (m) => {
  // Define an initial supply
  const initialSupply = m.getParameter("initialSupply", 1000n * 10n ** 18n); // 1000 tokens

  // Deploy the contract with parameters
  const CoinCoinCoin = m.contract("CoinCoinCoin", [initialSupply]);

  return { CoinCoinCoin };
});

export default CoinCoinCoinModule;
